<?php
/**
 * @Statement: [ An Ordinary Person ]
 * @Author: 闻子 < QQ：270988107 >
 * @Copyright: 闻子 2016-2019 All rights reserved.
 *
 *    .--,       .--,
 *   ( (  \.---./  ) )
 *    '.__/o   o\__.'
 *       {=  ^  =}
 *        >  -  <
 *       /       \
 *      //       \\
 *     //|   .   |\\
 *     "'\       /'"_.-~^`'-.
 *        \  _  /--'         `
 *      ___)( )(___
 *     (((__) (__)))    高山仰止,景行行止.虽不能至,心向往之.
 *
 */

namespace app\ohbbs\controller;

use think\Db;

use app\common\controller\Base as BaseController;

class Index extends BaseController
{
	/**
	 * 继承基类
	 * @Author: 闻子 < QQ：270988107 >
	 */
    use Base;

	/**
	 * 实例化权限
	 * @Author: 闻子 < QQ：270988107 >
	 */
    public function __construct()
    {
    	parent::__construct();
        $userinfo = Db::name('user')->where('id',session('admin.id'))->find();
        if ($userinfo['manager'] != 1) {
        	$this->redirect('/member/index');
        }
    }
    
	/**
	 * 后台首页
	 * @Author: 闻子 < QQ：270988107 >
	 */
	public function index()
	{
		return view();
	}

	/**
	 * 后台仪表盘
	 * @Author: 闻子 < QQ：270988107 >
	 */
	public function welcome()
	{
		return view();
	}

	/**
	 * 退出登录
	 * @Author: 闻子 < QQ：270988107 >
	 */
	public function logout()
	{
		session(null);
		$this->success('退出成功','/ohbbs/login');
	}
}